Package org.eclipse.emf.cdo.common

# Enum Class CDOCommonRepository.ListOrdering

java.lang.Object
java.lang.Enum<CDOCommonRepository.ListOrdering>
org.eclipse.emf.cdo.common.CDOCommonRepository.ListOrdering

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCommonRepository.ListOrdering>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDOCommonRepository`

public static enum CDOCommonRepository.ListOrdering extends Enum<CDOCommonRepository.ListOrdering>

Since:
  4.6
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BY_ANNOTATED_ECORE`
`BY_ECORE`
`ORDERED`
`UNORDERED`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isOrdered(EReference reference)`
`static CDOCommonRepository.ListOrdering`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.ListOrdering[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ORDERED

public static final CDOCommonRepository.ListOrdering ORDERED

### UNORDERED

public static final CDOCommonRepository.ListOrdering UNORDERED

### BY_ECORE

public static final CDOCommonRepository.ListOrdering BY_ECORE

### BY_ANNOTATED_ECORE

public static final CDOCommonRepository.ListOrdering BY_ANNOTATED_ECORE

## Method Details

### values

public static CDOCommonRepository.ListOrdering[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCommonRepository.ListOrdering valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isOrdered

public abstract boolean isOrdered(EReference reference)